Bug 536981 - [abrt] crash detected in firefox-3.5.4-1.fc12
[abrt] crash detected in firefox-3.5.4-1.fc12
Status: CLOSED INSUFFICIENT_DATA
Product: Fedora
Classification: Fedora
Component: libxcb (Show other bugs)
12
i686 Linux
low Severity medium
: ---
: ---
Assigned To: Adam Jackson
Fedora Extras Quality Assurance
: Triaged
: 528388 539341 540136 541051 542739 542838 543074 543763 545230 554114 572345 641959 (view as bug list)
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-11-11 21:26 EST by Derek Schmidt
Modified: 2010-11-16 14:09 EST (History)
14 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-10-28 10:16:58 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: backtrace (59.34 KB, text/plain)
2009-11-11 21:26 EST, Derek Schmidt
no flags Details

  None (edit)
Description Derek Schmidt 2009-11-11 21:26:22 EST
abrt detected a crash.

Attached file: backtrace
cmdline: /usr/lib/firefox-3.5.4/firefox
component: firefox
executable: /usr/lib/firefox-3.5.4/firefox
kernel: 2.6.31.5-127.fc12.i686
package: firefox-3.5.4-1.fc12
rating: 2
reason: Process was terminated by signal 6
Comment 1 Derek Schmidt 2009-11-11 21:26:24 EST
Created attachment 369126 [details]
File: backtrace
Comment 2 Martin Stransky 2009-11-12 02:58:51 EST
Is there any reproducer?
Comment 3 Derek Schmidt 2009-11-13 08:42:27 EST
Not that I know of, to be honest.
Comment 4 Matěj Cepl 2009-11-15 10:04:58 EST
Looks like a crash in Cairo. Reassigning.
Comment 5 Behdad Esfahbod 2009-11-16 13:14:26 EST
Assertion failure in xcb.  Lets reassign to xcb.  Let me know if cairo's calling xlib in a way it shouldn't do.
Comment 6 Adam Jackson 2009-11-24 11:01:20 EST
#7  0x00876bd8 in __assert_fail (assertion=<value optimized out>, 
    file=<value optimized out>, line=<value optimized out>, 
    function=<value optimized out>) at assert.c:81
        buf = 0xae939920 "firefox: xcb_io.c:378: _XAllocID: Assertion `ret != inval_id' failed.\n"

This is XCB's internal XID generation failing.  cairo's not doing anything wrong.
Comment 7 Matěj Cepl 2009-11-24 17:49:44 EST
*** Bug 541051 has been marked as a duplicate of this bug. ***
Comment 8 Yanko Kaneti 2009-11-24 18:59:47 EST
*** Bug 528388 has been marked as a duplicate of this bug. ***
Comment 9 Mads Kiilerich 2009-11-24 19:10:14 EST
XID? FWIW I had plenty of
  (npviewer.bin:2113): Gdk-WARNING **: XID collision, trouble ahead
in my .xsession-errors
Comment 10 Matěj Cepl 2009-11-25 11:22:18 EST
*** Bug 540136 has been marked as a duplicate of this bug. ***
Comment 11 Matěj Cepl 2009-12-09 19:00:03 EST
*** Bug 543763 has been marked as a duplicate of this bug. ***
Comment 12 Matěj Cepl 2009-12-09 19:00:03 EST
*** Bug 545230 has been marked as a duplicate of this bug. ***
Comment 13 Matěj Cepl 2009-12-09 19:00:03 EST
*** Bug 539341 has been marked as a duplicate of this bug. ***
Comment 14 Matěj Cepl 2009-12-10 11:17:14 EST
*** Bug 542838 has been marked as a duplicate of this bug. ***
Comment 15 Matěj Cepl 2009-12-10 11:17:15 EST
*** Bug 543074 has been marked as a duplicate of this bug. ***
Comment 16 Matěj Cepl 2009-12-10 11:17:15 EST
*** Bug 542739 has been marked as a duplicate of this bug. ***
Comment 17 Chris Campbell 2010-01-10 11:31:58 EST
*** Bug 554114 has been marked as a duplicate of this bug. ***
Comment 18 Chris Campbell 2010-03-11 20:30:41 EST
*** Bug 572345 has been marked as a duplicate of this bug. ***
Comment 19 Benjamin Otte 2010-10-14 12:12:48 EDT
*** Bug 641959 has been marked as a duplicate of this bug. ***
Comment 20 Adam Jackson 2010-10-28 10:16:58 EDT
Backtrace is from an old version of abrt that doesn't include enough information to know what version of Mesa is in use.
Comment 21 Mads Kiilerich 2010-10-28 10:23:22 EDT
Removing abrt_hash:6597b3cdcdb717dcc084ae5772f41e15f8e6b569 so the next victim will file a new (and better?) backtrace.
Comment 22 Benjamin Otte 2010-11-16 14:09:12 EST
*** Bug 641959 has been marked as a duplicate of this bug. ***

Note You need to log in before you can comment on or make changes to this bug.